Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 616249 - gdm crashes when using a formatted(blank) smartcard at the gdm greeter login screen.
gdm crashes when using a formatted(blank) smartcard at the gdm greeter login ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pam_pkcs11 (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Bob Relyea
Chandrasekar Kannan
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 18:20 EDT by Chandrasekar Kannan
Modified: 2015-01-04 18:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:21:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2010-07-19 18:20:31 EDT
Description of problem:
gdm crashes when using a formatted(blank) smartcard at the gdm greeter login screen.

Version-Release number of selected component (if applicable):
[root@dhcp-115 ~]# rpm -q esc ccid pcsc-lite pcsc-lite-libs coolkey gdm gnome-screensaver gnome-settings-daemon
esc-1.1.0-21.el6.i686
ccid-1.3.9-3.el6.i686
pcsc-lite-1.5.2-5.el6.i686
pcsc-lite-libs-1.5.2-5.el6.i686
coolkey-1.1.0-14.el6.i686
gdm-2.30.4-10.el6.i686
gnome-screensaver-2.28.3-6.el6.i686
gnome-settings-daemon-2.28.2-7.el6.i686


How reproducible:
always

Steps to Reproduce:
1. Format a smartcard(gemalto 64k) using ESC. Enable smartcard. logout or reboot
2. On the gdm greeter login screen. insert this blank card.
3. click on "Smartcard Authentication". 
  
Actual results:

gdm crashes as observed on /var/log/messages. crash dump here.
http://pastebin.test.redhat.com/26751

Expected results:
gdm should not crash.

Additional info:
Comment 2 RHEL Product and Program Management 2010-07-19 18:37:36 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Ray Strode [halfline] 2010-07-19 21:24:33 EDT
That crash is actually in pam_pkcs11.so

#5  <signal handler called>
#6  0x00ddee82 in pam_sm_authenticate () from /lib/security/pam_pkcs11.so
#7  0x030b341f in ?? () from /lib/libpam.so.0

Any chance you could install pam_pkcs11-debuginfo and pam-debuginfo and reproduce?
Comment 4 Chandrasekar Kannan 2010-07-20 19:21:18 EDT
here it is with pam_pkcs11-debuginfo and pam-debuginfo - http://pastebin.test.redhat.com/26853
Comment 5 Bob Relyea 2010-07-26 19:40:31 EDT
I believe I have build which should fix this problem here:
http:
Comment 6 Bob Relyea 2010-07-26 19:43:27 EDT
I believe I have build which should fix this problem here:
http://10.14.54.172/pam_pkcs11-0.6.2-8.el6_bob.x86_64.rpm
http://10.14.54.172/pam_pkcs11-debuginfo-0.6.2-8.el6_bob.x86_64.rpm
Comment 8 Bob Relyea 2010-08-03 18:36:16 EDT
I've smoked tested the patch to make sure it doesn't break anything. I do not have the setup to test the original bug (which is why I posted test builds).

Official RHEL-6 builds are available now:


http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2649877
pam_pkcs11-0.6.2-8.el6
Comment 9 Jack Magne 2010-08-04 20:01:12 EDT
Just for fun, I tried out the new package on my older snapshot and it did stop the crashes when inserting a formatted token.
Comment 11 Asha Akkiangady 2010-08-12 17:06:19 EDT
Tested following with Gemalto 64K smart card with omnikey 3121 cardman reader:

1. Format smart card using ESC. 
2. Rhel 6 is enabled with smartcard login. logout or reboot
3. On the gdm greeter login screen. insert this blank card.
4. click on "Smartcard Authentication". 
5. Greeter menu throws error message "Insufficient credential to access authentication data".
6. /var/log/messages has "gdm-smartcard[2257]: no valid certificate which meets all requirements found". gdm doesn't crash.

[root@dhcp231-173 ~]# rpm -q esc ccid pcsc-lite pcsc-lite-libs coolkey gdm gnome-screensaver gnome-settings-daemon
esc-1.1.0-21.el6.i686
ccid-1.3.9-3.el6.i686
pcsc-lite-1.5.2-6.el6.i686
pcsc-lite-libs-1.5.2-6.el6.i686
coolkey-1.1.0-16.el6.i686
gdm-2.30.4-20.el6.i686
gnome-screensaver-2.28.3-8.el6.i686
gnome-settings-daemon-2.28.2-11.el6.i686


Marking bug verified.
Comment 12 releng-rhel@redhat.com 2010-11-11 11:21:22 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.